import 'package:flutter/material.dart';
// import 'package:fluttertoast/fluttertoast.dart';
import 'package:rapid_widgets_library/widget-classesUsed.dart';
import 'package:razorpay_flutter/razorpay_flutter.dart';
import 'dart:html';
import 'dart:ui' as ui;
import 'package:rapid_widgets_library/payment_service.dart';


class PaymentWeb extends StatefulWidget {
  final PaymentGatewayParams paymentGatewayParams;
  PaymentWeb({this.paymentGatewayParams});

  @override
  _PaymentWebState createState() => _PaymentWebState();
}

class _PaymentWebState extends State<PaymentWeb> {

  void openCheckout() async{
    PaymentService().startPayment(
      widget.paymentGatewayParams.key!='null'?widget.paymentGatewayParams.key:'rzp_test_aClrm9BsmfBxt6',
      int.parse(widget.paymentGatewayParams.amount!=null?widget.paymentGatewayParams.amount:'1000'),
      widget.paymentGatewayParams.platformName!='null'?widget.paymentGatewayParams.platformName:'Low Code Platform',
        widget.paymentGatewayParams.contactEmail!='null'?widget.paymentGatewayParams.contactEmail:'user@pwc.com',
          () => (widget.paymentGatewayParams.onSuccess != null) ? widget.paymentGatewayParams.onSuccess() : null,
          () => (widget.paymentGatewayParams.onFailure != null) ? widget.paymentGatewayParams.onFailure() : null,
    );
  }
  @override
  Widget build(BuildContext context) {
    return Container(
      alignment: widget.paymentGatewayParams.textAlign,
      child:  Padding(
        padding:  EdgeInsets.only(
          left: widget.paymentGatewayParams.paddingLeft!=null?widget.paymentGatewayParams.paddingLeft:0.0,
          right:  widget.paymentGatewayParams.paddingRight!=null?widget.paymentGatewayParams.paddingRight:0.0,
          top:  widget.paymentGatewayParams.paddingTop!=null?widget.paymentGatewayParams.paddingTop:0.0,
          bottom:  widget.paymentGatewayParams.paddingBottom!=null?widget.paymentGatewayParams.paddingBottom:0.0,
        ),
        child: widget.paymentGatewayParams.iconData!=null?ElevatedButton.icon(
          onPressed: () {
            openCheckout();
          },
          label: Text(widget.paymentGatewayParams.paymentText!='null'?widget.paymentGatewayParams.paymentText:'Online Payment',
            style: TextStyle(fontSize: widget.paymentGatewayParams.fontSize??0,color: widget.paymentGatewayParams.paymentTextColor??Colors.white),),
          icon: Icon(widget.paymentGatewayParams.iconData,size: widget.paymentGatewayParams.iconSize??0,color: widget.paymentGatewayParams.iconColor??Colors.white,),
          style: ElevatedButton.styleFrom(
            primary: widget.paymentGatewayParams.bttnColor??Colors.white,
            shape: RoundedRectangleBorder(
              borderRadius: BorderRadius.circular(widget.paymentGatewayParams.borderRadius??0), // <-- Radius
            ),
          ),
        ):ElevatedButton(
          child: Text(widget.paymentGatewayParams.paymentText!='null'?widget.paymentGatewayParams.paymentText:'Online Payment',
            style: TextStyle(fontSize: widget.paymentGatewayParams.fontSize??0,color: widget.paymentGatewayParams.paymentTextColor??Colors.white),),
          onPressed: () {
            openCheckout();
          },
          style: ElevatedButton.styleFrom(
            primary: widget.paymentGatewayParams.bttnColor??Colors.white,
            shape: RoundedRectangleBorder(
              borderRadius: BorderRadius.circular(widget.paymentGatewayParams.borderRadius??0), // <-- Radius
            ),
          ),
        ),
      ),
    );
  }
}